## changeo 0.3.12

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.15
biopython>=1.65
setuptools>=2.0
presto>=0.5.0

=== debian/changelog ===
changeo (0.3.12-2) unstable; urgency=medium

  * Added python3-pip as build-dependency. Many thanks to Santiago Vila
    for reporting (Closes: #913107).

 -- Steffen Moeller <moeller@debian.org>  Thu, 08 Nov 2018 12:44:08 +0100

changeo (0.3.12-1) unstable; urgency=medium

  * Initial release (Closes: #901742).

 -- Steffen Moeller <moeller@debian.org>  Sun, 17 Jun 2018 21:14:11 +0200

=== debian/control ===
Source: changeo
Section: science
Priority: optional
Maintainer: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-setuptools (>= 2.0),
               python3-pip
Standards-Version: 4.2.1
Homepage: http://changeo.readthedocs.io
Vcs-Browser: https://salsa.debian.org/med-team/changeo
Vcs-Git: https://salsa.debian.org/med-team/changeo.git
#Testsuite: autopkgtest-pkg-python

Package: changeo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Repertoire clonal assignment toolkit (Python 3)
 Change-O is a collection of tools for processing the output of V(D)J
 alignment tools, assigning clonal clusters to immunoglobulin (Ig)
 sequences, and reconstructing germline sequences.
 .
 Dramatic improvements in high-throughput sequencing technologies now
 enable large-scale characterization of Ig repertoires, defined as the
 collection of trans-membrane antigen-receptor proteins located on the
 surface of B cells and T cells. Change-O is a suite of utilities to
 facilitate advanced analysis of Ig and TCR sequences following germline
 segment assignment. Change-O handles output from IMGT/HighV-QUEST
 and IgBLAST, and provides a wide variety of clustering methods for
 assigning clonal groups to Ig sequences. Record sorting, grouping,
 and various database manipulation operations are also included.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=changeo

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -f changeo.egg-info/SOURCES.txt changeo.egg-info/PKG-INFO changeo.egg-info/requires.txt

=== debian/watch ===
version=4
https://pypi.debian.net/changeo/changeo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## changeo 0.4.4

=== debian/changelog ===
changeo (0.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Steffen Moeller <moeller@debian.org>  Wed, 28 Nov 2018 11:25:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,22 @@
 Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
-               python3-setuptools (>= 2.0),
-               python3-pip
+               python3-setuptools (>= 2.0)
 Standards-Version: 4.2.1
 Homepage: http://changeo.readthedocs.io
 Vcs-Browser: https://salsa.debian.org/med-team/changeo
 Vcs-Git: https://salsa.debian.org/med-team/changeo.git
-#Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-python
+
 
 Package: changeo
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
+Recommends: python3-biopython (>=1.65),
+ python3-pandas (>= 0.15),
+ python3-scipy (>= 0.14),
+ python3-presto (>=0.5.10),
+ python3-airr (>=1.2.1)
 Description: Repertoire clonal assignment toolkit (Python 3)
  Change-O is a collection of tools for processing the output of V(D)J
  alignment tools, assigning clonal clusters to immunoglobulin (Ig)

## changeo 0.4.5

=== debian/changelog ===
changeo (0.4.5-1) unstable; urgency=medium

  * Team upload.
  * Maintenance in Debian Med team
  * cme fix dpkg-control
  * debhelper 12
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 22:37:16 +0100

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,27 @@
 Source: changeo
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
+Testsuite: autopkgtest-pkg-python
 Priority: optional
-Maintainer: Steffen Moeller <moeller@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12~),
                dh-python,
                python3-all,
                python3-setuptools (>= 2.0)
-Standards-Version: 4.2.1
-Homepage: http://changeo.readthedocs.io
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/med-team/changeo
 Vcs-Git: https://salsa.debian.org/med-team/changeo.git
-Testsuite: autopkgtest-pkg-python
-
+Homepage: http://changeo.readthedocs.io
 
 Package: changeo
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}
+Depends: ${python3:Depends},
+         ${misc:Depends}
 Recommends: python3-biopython (>=1.65),
- python3-pandas (>= 0.15),
- python3-scipy (>= 0.14),
- python3-presto (>=0.5.10),
- python3-airr (>=1.2.1)
+            python3-pandas (>= 0.15),
+            python3-scipy (>= 0.14),
+            python3-presto,
+            python3-airr
 Description: Repertoire clonal assignment toolkit (Python 3)
  Change-O is a collection of tools for processing the output of V(D)J
  alignment tools, assigning clonal clusters to immunoglobulin (Ig)

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export PYBUILD_NAME=changeo

%:
	dh $@ --with python3 --buildsystem=pybuild

## changeo 0.4.6

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.15
biopython>=1.65
PyYAML>=3.12
setuptools>=2.0
presto>=0.5.10
airr>=1.2.1

=== debian/changelog ===
changeo (0.4.6-2) unstable; urgency=medium

  * Team upload.
  * Source only upload
    Closes: #953321
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Use secure URI in Homepage field.

 -- Andreas Tille <tille@debian.org>  Sun, 08 Mar 2020 08:25:27 +0100

changeo (0.4.6-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Created with Andreas' routine-update script

 -- Steffen Moeller <moeller@debian.org>  Sat, 27 Jul 2019 12:03:49 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
-               python3-setuptools (>= 2.0)
-Standards-Version: 4.3.0
+               python3-setuptools
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/changeo
 Vcs-Git: https://salsa.debian.org/med-team/changeo.git
-Homepage: http://changeo.readthedocs.io
+Homepage: https://changeo.readthedocs.io
 
 Package: changeo
 Architecture: all
@@ -19,7 +19,7 @@
          ${misc:Depends}
 Recommends: python3-biopython (>=1.65),
             python3-pandas (>= 0.15),
-            python3-scipy (>= 0.14),
+            python3-scipy,
             python3-presto,
             python3-airr
 Description: Repertoire clonal assignment toolkit (Python 3)

## changeo 1.0.0

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.65
PyYAML>=3.12
setuptools>=2.0
presto>=0.5.10
airr>=1.2.1

=== debian/changelog ===
changeo (1.0.0-1) unstable; urgency=medium

  * New upstream version
  * Rules-Requires-Root: no (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Wed, 13 May 2020 12:24:52 +0200

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
 Vcs-Browser: https://salsa.debian.org/med-team/changeo
 Vcs-Git: https://salsa.debian.org/med-team/changeo.git
 Homepage: https://changeo.readthedocs.io
+Rules-Requires-Root: no
 
 Package: changeo
 Architecture: all

## changeo 1.0.1

=== debian/changelog ===
changeo (1.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Set upstream metadata fields: Repository.
  * Add manpages

 -- Nilesh Patra <npatra974@gmail.com>  Thu, 15 Oct 2020 13:05:52 +0000

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-all,
                python3-setuptools
@@ -21,7 +21,7 @@
 Recommends: python3-biopython (>=1.65),
             python3-pandas (>= 0.15),
             python3-scipy,
-            python3-presto,
+            python3-presto (>= 0.6.2),
             python3-airr
 Description: Repertoire clonal assignment toolkit (Python 3)
  Change-O is a collection of tools for processing the output of V(D)J

## changeo 1.0.2

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.71
PyYAML>=3.12
setuptools>=2.0
presto>=0.6.2
airr>=1.2.1

=== debian/changelog ===
changeo (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 19 Jan 2021 18:40:10 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: changeo
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <npatra974@gmail.com>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -8,7 +8,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/changeo
 Vcs-Git: https://salsa.debian.org/med-team/changeo.git
 Homepage: https://changeo.readthedocs.io

## changeo 1.1.0

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.77
PyYAML>=5.1
setuptools>=2.0
presto>=0.6.2
airr>=1.3.1

=== debian/changelog ===
changeo (1.1.0-1) unstable; urgency=medium

  * New upstream version 1.1.0
  * d/tests/run-unit-tests: Change checksums in output

 -- Nilesh Patra <nilesh@debian.org>  Sun, 15 Aug 2021 16:40:05 +0530

changeo (1.0.2-2~0exp0) experimental; urgency=medium

  * Team Upload.
  * Add autopkgtests. (Closes: #970597)

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 29 Mar 2021 22:20:49 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: changeo
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional

## changeo 1.2.0

=== debian/changelog ===
changeo (1.2.0-1) unstable; urgency=medium

  * New upstream version 1.2.0
  * Run cme

 -- Nilesh Patra <nilesh@debian.org>  Mon, 01 Nov 2021 23:47:51 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: changeo
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Steffen Moeller <moeller@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: science
 Testsuite: autopkgtest-pkg-python
 Priority: optional
@@ -8,7 +9,7 @@
                dh-python,
                python3-all,
                python3-setuptools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/changeo
 Vcs-Git: https://salsa.debian.org/med-team/changeo.git
 Homepage: https://changeo.readthedocs.io
@@ -18,8 +19,8 @@
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends}
-Recommends: python3-biopython (>=1.65),
-            python3-pandas (>= 0.15),
+Recommends: python3-biopython,
+            python3-pandas,
             python3-scipy,
             python3-presto (>= 0.6.2),
             python3-airr

=== debian/watch ===
version=4
opts="repack,compression=gz" \
https://pypi.debian.net/changeo/changeo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## changeo 1.3.0

=== requirements.txt ===
numpy>=1.8
scipy>=0.14
pandas>=0.24
biopython>=1.77
PyYAML>=5.1
setuptools>=2.0
presto>=0.7.0
airr>=1.3.1

=== debian/changelog ===
changeo (1.3.0-4) unstable; urgency=medium

  * Team upload.
  * Extend pkg_resources.patch to actually remove pkg_resources
  * Disable useless Salsa CI jobs
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format

 -- Alexandre Detiste <tchet@debian.org>  Wed, 04 Feb 2026 20:37:39 +0100

changeo (1.3.0-3) unstable; urgency=medium

  * Team upload.
  * Fix Python3.12 string syntax
    Closes: #1085416
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Dec 2024 17:39:21 +0100

changeo (1.3.0-2) unstable; urgency=medium

  * Team upload.
  * rm-setuptools.patch: new: remove dependency on setuptools.
    (Closes: #1083334)
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Wed, 09 Oct 2024 16:54:09 +0200

changeo (1.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1028449
  * Standards-Version: 4.6.2 (routine-update)
  * Fix cut-n-pasto in autopkgtest
  * Refresh checksums in autopkgtest to match output of new version

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2023 11:01:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 Source: changeo
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Steffen Moeller <moeller@debian.org>,
-           Nilesh Patra <nilesh@debian.org>
+Uploaders:
+ Steffen Moeller <moeller@debian.org>,
 Section: science
 Testsuite: autopkgtest-pkg-python
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
-               python3-all,
-               python3-setuptools
-Standards-Version: 4.6.0
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ python3-all,
+ python3-setuptools,
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/med-team/changeo
 Vcs-Git: https://salsa.debian.org/med-team/changeo.git
 Homepage: https://changeo.readthedocs.io
-Rules-Requires-Root: no
 
 Package: changeo
 Architecture: all
-Depends: ${python3:Depends},
-         ${misc:Depends}
-Recommends: python3-biopython,
-            python3-pandas,
-            python3-scipy,
-            python3-presto (>= 0.6.2),
-            python3-airr
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
+ python3-airr,
+ python3-biopython,
+ python3-pandas,
+ python3-presto,
+ python3-scipy,
 Description: Repertoire clonal assignment toolkit (Python 3)
  Change-O is a collection of tools for processing the output of V(D)J
  alignment tools, assigning clonal clusters to immunoglobulin (Ig)

=== debian/watch ===
Version: 5

Template: Pypi
Dist: changeo
